# ImportWizardPageColumns (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageColumns

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageColumns

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class ImportWizardPageColumns
      extends org.eclipse.jface.wizard.WizardPage

  Column overview page This pages gives the user an overview of the detected columns and allows him to change things around. First of all columns can be enabled or disabled on an individual basis. Secondly the order of the columns can be changed around. Furthermore a data type along with a format string can be defined for each column. A single column is represented by `ImportWizardModelColumn`, the list of all detected columns can be accessed by `ImportWizardModel.getWizardColumns()`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ImportWizardPageColumns.DatatypeEditingSupport` Implements editing support for data type column within the column page This allows to change the data type of columns.
    `class` | `ImportWizardPageColumns.NameEditingSupport` Implements the editing support for name column This allows to change the name of columns.

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPageColumns(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page along with the appropriate listeners.
    `void` | `setVisible(boolean visible)` Adds input to table viewer once page gets visible.

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

- - ### Constructor Detail

    - #### ImportWizardPageColumns

          public ImportWizardPageColumns(ImportWizard wizardImport)

      Creates a new instance of this page and sets its title and description.
      Parameters:
        `wizardImport` - Reference to wizard containing this page

  - ### Method Detail

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

      Creates the design of this page along with the appropriate listeners.
      Parameters:
        `parent` -

    - #### setVisible

          public void setVisible(boolean visible)

      Adds input to table viewer once page gets visible.
      Specified by:
        `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
      Overrides:
        `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`
      Parameters:
        `visible` -